> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json put /automations/{automation_id}
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /automations/{automation_id}:
    put:
      tags:
        - 01.Automation
      summary: Update
      operationId: update_automations__automation_id__put
      parameters:
        - name: automation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Automation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAutomationRequest'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateAutomationRequest:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        sector_id:
          type: string
          format: uuid
          title: Sector Id
        parameters:
          items:
            $ref: '#/components/schemas/AutomationParameterDTO'
          type: array
          title: Parameters
        max_concurrent_jobs:
          type: integer
          minimum: 1
          title: Max Concurrent Jobs
      type: object
      required:
        - name
        - description
        - sector_id
        - max_concurrent_jobs
      title: UpdateAutomationRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AutomationParameterDTO:
      properties:
        name:
          type: string
          minLength: 1
          pattern: ^[a-z][a-z0-9_]*$
          title: Name
        type:
          $ref: '#/components/schemas/ParameterType'
        description:
          type: string
          title: Description
          default: ''
      type: object
      required:
        - name
        - type
      title: AutomationParameterDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParameterType:
      type: string
      enum:
        - text
        - drive_file
        - drive_folder
        - sgg_client_list
      title: ParameterType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````